import React from "react";
export interface IToolBarPro {
    toolbars: any[];
    onChange?: (event: React.SyntheticEvent) => void;
}
export default class ToolBar extends React.Component<IToolBarPro> {
    state: {
        renderIndex: number;
    };
    renderIconButton(cell: any, color?: any): React.JSX.Element;
    renderDefault(toolbars: any): any;
    renderMore(more: any): React.JSX.Element | null;
    render(): React.JSX.Element;
}
